Read all transactions
curl --request GET \
--url https://api.lumx.io/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumx.io/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumx.io/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "ON_RAMP",
"request": {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rail": "PIX",
"sourceCurrency": "BRL",
"sourceAmount": "10000.00",
"targetCurrency": "USDC",
"purpose": "PERSONAL_ACCOUNT"
},
"state": {
"status": "AWAITING_FUNDS",
"payment": {
"rail": "PIX",
"brCode": "00020126580014br.gov.bcb.PIX0136123e4567-e89b-12d3-a456-4266141740005204000053039865802BR5915Test Merchant6009Sao Paulo62070503***63041234"
}
},
"metadata": {},
"createdAt": "2024-03-20T15:30:00Z",
"updatedAt": "2024-03-20T15:30:05Z"
}
]
}Transactions
Read all transactions
This endpoint reads all transactions.
GET
/
transactions
Read all transactions
Authorizations
Bearer authentication header on the format Bearer <API_KEY>.
Query Parameters
Number of transactions to return per page.
Required range:
1 <= x <= 100Cursor for pagination. Use the nextCursor or previousCursor from the previous response to get the next or previous page.
Filter transactions by customer's unique identifier.
Response
200 - application/json
Resources successfully retrieved.
An array containing all transactions.
Show child attributes
Show child attributes
⌘I